Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.plaf.multi
Class MultiTextUI

    java.lang.Object
      |
      +--javax.swing.plaf.ComponentUI
            |
            +--javax.swing.plaf.TextUI
                  |
                  +--javax.swing.plaf.multi.MultiTextUI

public class MultiTextUI
extends TextUI

MultiTextUI implementation

This file was automatically generated by AutoMulti.

Field Summary
`protected java.util.Vector` | `uis` The Vector containing the real UI's.

Constructor Summary
`MultiTextUI()`

Method Summary
`boolean` | `contains(JComponent a, int b, int c)` Call contains on each UI handled by this MultiUI.
`static ComponentUI` | `createUI(JComponent a)` Return a multiplexing UI instance if any of the auxiliary LookAndFeels support this UI.
`void` | `damageRange(JTextComponent a, int b, int c)` Call damageRange on each UI handled by this MultiUI.
`void` | `damageRange(JTextComponent t, int p0, int p1, Position.Bias firstBias, Position.Bias secondBias)` Causes the portion of the view responsible for the given part of the model to be repainted.
`Accessible` | `getAccessibleChild(JComponent a, int b)` Call getAccessibleChild on each UI handled by this MultiUI.
`int` | `getAccessibleChildrenCount(JComponent a)` Call getAccessibleChildrenCount on each UI handled by this MultiUI.
`EditorKit` | `getEditorKit(JTextComponent a)` Call getEditorKit on each UI handled by this MultiUI.
`java.awt.Dimension` | `getMaximumSize(JComponent a)` Call getMaximumSize on each UI handled by this MultiUI.
`java.awt.Dimension` | `getMinimumSize(JComponent a)` Call getMinimumSize on each UI handled by this MultiUI.
`int` | `getNextVisualPositionFrom(JTextComponent t, int pos, Position.Bias b, int direction, Position.Bias[] biasRet)` Provides a way to determine the next visually represented model location that one might place a caret.
`java.awt.Dimension` | `getPreferredSize(JComponent a)` Call getPreferredSize on each UI handled by this MultiUI.
`View` | `getRootView(JTextComponent a)` Call getRootView on each UI handled by this MultiUI.
`ComponentUI[]` | `getUIs()` Return the list of UI's associated with this multiplexing UI.
`void` | `installUI(JComponent a)` Call installUI on each UI handled by this MultiUI.
`java.awt.Rectangle` | `modelToView(JTextComponent a, int b)` Call modelToView on each UI handled by this MultiUI.
`java.awt.Rectangle` | `modelToView(JTextComponent t, int pos, Position.Bias bias)` Converts the given location in the model to a place in the view coordinate system.
`void` | `paint(java.awt.Graphics a, JComponent b)` Call paint on each UI handled by this MultiUI.
`void` | `uninstallUI(JComponent a)` Call uninstallUI on each UI handled by this MultiUI.
`void` | `update(java.awt.Graphics a, JComponent b)` Call update on each UI handled by this MultiUI.
`int` | `viewToModel(JTextComponent a, java.awt.Point b)` Call viewToModel on each UI handled by this MultiUI.
`int` | `viewToModel(JTextComponent t, java.awt.Point pt, Position.Bias[] biasReturn)` Provides a mapping from the view coordinate space to the logical coordinate space of the model.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### uis

    protected java.util.Vector uis

  The Vector containing the real UI's. This is populated in the call to createUI, and can be obtained by calling getUIs. The first element is guaranteed to the real UI obtained from the default look and feel.

Constructor Detail

### MultiTextUI

    public MultiTextUI()

Method Detail

### getUIs

    public ComponentUI[] getUIs()

  Return the list of UI's associated with this multiplexing UI. This allows processing of the UI's by an application aware of multiplexing UI's on components.

### modelToView

    public java.awt.Rectangle modelToView(JTextComponent a,
                                          int b)
                                   throws BadLocationException

  Call modelToView on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    modelToView in class TextUI

### modelToView

    public java.awt.Rectangle modelToView(JTextComponent t,
                                          int pos,
                                          Position.Bias bias)
                                   throws BadLocationException

  Converts the given location in the model to a place in the view coordinate system.
  Parameters:
    `pos` - the local location in the model to translate >= 0
  Returns:
    the coordinates as a rectangle
  Throws:
    BadLocationException - if the given position does not represent a valid location in the associated document
  Overrides:
    modelToView in class TextUI

### viewToModel

    public int viewToModel(JTextComponent a,
                           java.awt.Point b)

  Call viewToModel on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    viewToModel in class TextUI

### viewToModel

    public int viewToModel(JTextComponent t,
                           java.awt.Point pt,
                           Position.Bias[] biasReturn)

  Provides a mapping from the view coordinate space to the logical coordinate space of the model. The biasReturn argument will be filled in to indicate that the point given is closer to the next character in the model or the previous character in the model.
  Parameters:
    `x` - the X coordinate >= 0
    `y` - the Y coordinate >= 0
    `a` - the allocated region to render into
  Returns:
    the location within the model that best represents the given point in the view >= 0. The biasReturn argument will be filled in to indicate that the point given is closer to the next character in the model or the previous character in the model.
  Overrides:
    viewToModel in class TextUI

### getNextVisualPositionFrom

    public int getNextVisualPositionFrom(JTextComponent t,
                                         int pos,
                                         Position.Bias b,
                                         int direction,
                                         Position.Bias[] biasRet)
                                  throws BadLocationException

  Provides a way to determine the next visually represented model location that one might place a caret. Some views may not be visible, they might not be in the same order found in the model, or they just might not allow access to some of the locations in the model.
  Parameters:
    `pos` - the position to convert >= 0
    `a` - the allocated region to render into
    `direction` - the direction from the current position that can be thought of as the arrow keys typically found on a keyboard. This may be SwingConstants.WEST, SwingConstants.EAST, SwingConstants.NORTH, or SwingConstants.SOUTH.
  Returns:
    the location within the model that best represents the next location visual position.
  Throws:
    BadLocationException -
    java.lang.IllegalArgumentException - for an invalid direction
  Overrides:
    getNextVisualPositionFrom in class TextUI

### damageRange

    public void damageRange(JTextComponent a,
                            int b,
                            int c)

  Call damageRange on each UI handled by this MultiUI.
  Overrides:
    damageRange in class TextUI

### damageRange

    public void damageRange(JTextComponent t,
                            int p0,
                            int p1,
                            Position.Bias firstBias,
                            Position.Bias secondBias)

  Causes the portion of the view responsible for the given part of the model to be repainted.
  Parameters:
    `p0` - the beginning of the range >= 0
    `p1` - the end of the range >= p0
  Overrides:
    damageRange in class TextUI

### getEditorKit

    public EditorKit getEditorKit(JTextComponent a)

  Call getEditorKit on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getEditorKit in class TextUI

### getRootView

    public View getRootView(JTextComponent a)

  Call getRootView on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getRootView in class TextUI

### installUI

    public void installUI(JComponent a)

  Call installUI on each UI handled by this MultiUI.
  Overrides:
    installUI in class ComponentUI

### uninstallUI

    public void uninstallUI(JComponent a)

  Call uninstallUI on each UI handled by this MultiUI.
  Overrides:
    uninstallUI in class ComponentUI

### paint

    public void paint(java.awt.Graphics a,
                      JComponent b)

  Call paint on each UI handled by this MultiUI.
  Overrides:
    paint in class ComponentUI

### update

    public void update(java.awt.Graphics a,
                       JComponent b)

  Call update on each UI handled by this MultiUI.
  Overrides:
    update in class ComponentUI

### getPreferredSize

    public java.awt.Dimension getPreferredSize(JComponent a)

  Call getPreferredSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getPreferredSize in class ComponentUI

### getMinimumSize

    public java.awt.Dimension getMinimumSize(JComponent a)

  Call getMinimumSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getMinimumSize in class ComponentUI

### getMaximumSize

    public java.awt.Dimension getMaximumSize(JComponent a)

  Call getMaximumSize on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getMaximumSize in class ComponentUI

### contains

    public boolean contains(JComponent a,
                            int b,
                            int c)

  Call contains on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    contains in class ComponentUI

### createUI

    public static ComponentUI createUI(JComponent a)

  Return a multiplexing UI instance if any of the auxiliary LookAndFeels support this UI. Otherwise, just return a UI obtained using the normal methods.

### getAccessibleChildrenCount

    public int getAccessibleChildrenCount(JComponent a)

  Call getAccessibleChildrenCount on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getAccessibleChildrenCount in class ComponentUI

### getAccessibleChild

    public Accessible getAccessibleChild(JComponent a,
                                         int b)

  Call getAccessibleChild on each UI handled by this MultiUI. Return only the value obtained from the first UI, which is the UI obtained from the default LookAndFeel.
  Overrides:
    getAccessibleChild in class ComponentUI

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.